sexta-feira, 7 de dezembro de 2007

Associando links do Emule ao Iceweasel

Hoje fui baixar algumas coisas que encontrei em um site de links do aMule. Cliquei no link e... eis que surge um erro, dizendo que o Iceweasel não reconhece o protocolo ed2k. =/
Mas para tudo tem uma solução: www.google.com.br e pronto! Estava lá! :)
E aqui vai a solução que encontrei no fórum do eDonkers:

Receita:
amule-utils

Modo de preparo:

Instale o pacote amule-utils:

#apt-get install amule-utils

Abra o Iceweasel e na barra de endereços digite: about:config
Com esse comando você verá as configurações avançadas do Iceweasel :)

Clique com o botão direito em cima de qualquer configuração e clique em Nova opção > Boolean. Cole o seguinte conteúdo na caixa que aparecerá: network.protocol-handler.external.ed2k. Coloque o valor como True.

Adicione uma nova opção, mas desta vez do tipo String. Cole este texto: network.protocol-handler.app.ed2k. Como valor coloque o patch do programa ed2k. Este programa é instalado com o pacote amule-utils e geralmente fica na pasta /usr/bin/ed2k. Se você tiver dúvida onde está o seu ed2k use o comando which ed2k que ele mostrará o patch do mesmo :)

Prontinho! Agora é só sair clicando em tudo que é link ed2k por ae :)

Como disse o usuário mvkako, que postou a solução: "Não tem erro!"

Abraços pessoal!

Referências: fórum do site eDonkers.

Um comentário:

./ledson --carvalho disse...

Não funcionou para o firefox 3.5.7 com gnome
a solução foi

sudo apt-get install amule amule-utils amule-gnome-support

após instalado estes pacotes, abra o firefox, clique no link do que quer baixar, cujo protocolo seja ed2k. Irá abrir uma janela perguntando qual aplicativo associar. Escolha o ed2k e pronto.

att.